Latvia companies search
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-lv-companies-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "latvijas gāze",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-lv-companies-search"
payload = {
"keyword": "latvijas gāze",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keyword: 'latvijas gāze', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-lv-companies-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Company Registries
Latvia companies search
Search the Latvia company registry (Register of Enterprises) by company name or registration number: name, registration number, status, address and link. 1 point per returned record.
POST
/
functions
/
v1
/
run-lv-companies-search
Latvia companies search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Company name. e.g. latvijas gāze
Max items (up to 250)
Required range:
1 <= x <= 250Starting page
Required range:
x >= 1Status. Options: active = Active, inactive = Inactive / dissolved
Available options:
active, inactive Response
Run completed.